>From 65a8726b92a9b7340564cddcd3df1e909a362a32 Mon Sep 17 00:00:00 2001
From: "Steinar H. Gunderson" <steinar+vlc@gunderson.no>
Date: Sat, 8 Jun 2013 22:41:07 +0200
Subject: [PATCH 1/6] Fix frame rate output from deinterlacer.

In the deinterlacer module, when b_double_rate is set, actually
double the frame rate in the output format.
---
 modules/video_filter/deinterlace/deinterlace.c |    5 +++++
 1 file changed, 5 insertions(+)

diff --git a/modules/video_filter/deinterlace/deinterlace.c b/modules/video_filter/deinterlace/deinterlace.c
index 4392a0c..7d075f2 100644
--- a/modules/video_filter/deinterlace/deinterlace.c
+++ b/modules/video_filter/deinterlace/deinterlace.c
@@ -239,6 +239,11 @@ void GetOutputFormat( filter_t *p_filter,
         p_dst->i_y_offset /= 2;
         p_dst->i_sar_den *= 2;
     }
+    
+    if( p_sys->b_double_rate )
+    {
+        p_dst->i_frame_rate *= 2;
+    }
 
     if( p_sys->i_mode == DEINTERLACE_PHOSPHOR  &&
         2 * p_sys->chroma->p[1].h.num == p_sys->chroma->p[1].h.den &&
-- 
1.7.10.4

